Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 112920 - LTC5699-Warning message during vnc install by hvc0 or serial port
LTC5699-Warning message during vnc install by hvc0 or serial port
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-05 18:38 EST by IBM Bug Proxy
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:04:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2004-01-05 18:38:56 EST
The following has be reported by IBM LTC:  
Warning message during vnc install by hvc0 or serial port
Hardware Environment:
pSeries p630

Software Environment:
RHEL3 QU1

Steps to Reproduce:
1. In HMC, make the system boot to Open Firmware Prompt
2. In virtual console, type "boot /pci.../ethernet@1 vnc
vncpassword=password 
method=nfs"
3. Continue the installation process until it goes to start vnc server

Actual Results:
   Some warning message is displayed.
      Starting VNC...
      The VNC server now running.
      Please connect to plinuxt19.ppc.cn.ibm.com:1 to begin the install...
      Traceback (most recent call last):
        File "/usr/bin/loadkeys", line 26, in ?
          main()
        File "/usr/bin/loadkeys", line 22, in main
          isys.loadKeymap(sys.argv[1])
        File "/usr/lib/anaconda/isys.py", line 229, in loadKeymap
          return _isys.loadKeymap (keymap)
      SystemError: (-22, 'Unknown error 4294967274')
      XKB extension not present on :1

Expected Results:
   No warning message if we install the system in virtual console or
by serial 
port

Additional Information:
   Current QU1 build (RHEL3-U1-Beta-RC-re1211.0-ppc-as-disc1-ftp.iso)
has no 
libstdc++.so.5 in stage2.img. So we make a new img file so that we can
test vnc 
install.The problem is caused when it call loadKeymap(gzFile stream)
(anaconda-
9.1.1/isys/lang.c). It failed at ioctl(console, KDSKBENT, &entry).

If we boot locally with keyboard, the installer will ask us to set the
keyboard 
type. But if we boot from hvc0 or serial port, then the installer will
not let 
us to select it.  But the gui.py will call id.keyboard.activate() to
activate 
the keymap.
Glen - please submit this to Red Hat.  Thanks.
Comment 1 Jeremy Katz 2004-01-06 16:59:39 EST
If you do this, what's the console type?   (eg, if you were to login
after booting an installed system like this, what shows up as the tty
that you logged into?)
Comment 2 IBM Bug Proxy 2004-01-06 21:49:36 EST
------ Additional Comments From penghb@cn.ibm.com  2004-01-06 19:03 -------
It is hvc0 if I login from the virtual console. Because we select vnc 
installation, we may connect to the system by HMC, Serial port. 
Comment 3 IBM Bug Proxy 2004-01-19 08:48:22 EST
----- Additional Comments From zhouwu@cn.ibm.com  2004-01-19 00:13 -------
This defect still exist in the new-released RHEL3 Update1. 
Comment 4 Jeremy Katz 2004-02-12 13:00:43 EST
Made quiet in CVS
Comment 5 IBM Bug Proxy 2004-03-09 10:52:58 EST
----- Additional Comments From khoa@us.ibm.com  2004-03-09 10:53 -------
So....this will be fixed in RHEL3 Update2 ?  Please confirm.  Thanks. 
Comment 6 Jeremy Katz 2004-03-09 18:50:32 EST
Yes, the fix is in the package being built for U2
Comment 7 IBM Bug Proxy 2004-03-23 07:05:17 EST
----- Additional Comments From bujunhui@cn.ibm.com  2004-03-23 07:09 -------
This defect still exist in the new-released RHEL3 Update2 Beta0316.

"install exited abnormally -- received signal 11" 
Comment 8 IBM Bug Proxy 2004-04-23 09:12:14 EDT
----- Additional Comments From kaena@us.ibm.com  2004-04-23 09:15 -------
Will need new install media to test this. But raising to "high" so we have 
visibility. Might be fixed in U2. 
Comment 9 IBM Bug Proxy 2004-05-06 02:39:19 EDT
----- Additional Comments From bherren@au1.ibm.com(prefers email via benh@au1.ibm.com)  2004-05-06 02:41 -------
Can someone check if U2 fixes this so we can close the bug ? 
Comment 10 IBM Bug Proxy 2004-05-10 03:36:30 EDT
----- Additional Comments From khoa@us.ibm.com  2004-05-10 03:33 -------
Please verify this bug on QU2 and re-open this bug report if necessary.
Thanks. 
Comment 11 IBM Bug Proxy 2004-06-10 23:43:43 EDT
----- Additional Comments From bujunhui@cn.ibm.com  2004-06-10 23:42 -------
not fixed in U2.
********** output of HMC vterm **************
                                                                  
BOOTP: device    /pci@400000000110/pci@2/ethernet@1               
BOOTP: loc-code  U0.1-P2-I2/E1                                    
                                                                  
BOOTP: Cancel = ctl-C                                             
                                                                  
BOOTP: wait 60 seconds for Spanning Tree ...                      
                                                                  
BOOTP S = 1                                                       
FILE: netboot.img                                                 
Load Addr=0x4000 Max Size=0x10000000                              
FINAL Packet Count = 8106                                         
FINAL File Size = 4149809 bytes.                                  
                                                                  
Elapsed time since release of system processors: 5379 mins 3 secs 
zImage starting: loaded at 0x400000                               
Linux version 2.4.21-15.EL                                        

 ...     ...


firmware_features bitmask: 
0x10117                                              
of_stdout_device /vdevice/vty@0                                                
 
console= not found, add 
console=hvc0                                            
cmd_line is now  vnc vncpassword=passwd method=nfs AUTOCONSOLE 
console=hvc0     
[boot]0010 Setup 
System                                                         
Linux version 2.4.21-15.EL (bhcompile@stagg.build.redhat.com) (gcc version 
3.2.3
 20030502 (Red Hat Linux 3.2.3-34)) #1 SMP Thu Apr 22 00:11:22 EDT 
2004         
[boot]0012 Setup 
Arch                                                           
Boot arguments:  vnc vncpassword=passwd method=nfs AUTOCONSOLE 
console=hvc0     
EEH: PCI Enhanced I/O Error Handling 
Enabled                                    

 ... ...


could not set new controlling tty                            
trying to remount root filesystem read write... done         
mounting /tmp as ramfs... done                               
running install...                                           
running /sbin/loader                                         
install exited abnormally -- received signal 11              
sending termination signals...done                           
sending kill signals...done                                  
disabling swap...                                            
unmounting filesystems...                                    
        /proc done                                           
        /dev/pts done                                        
you may safely reboot your system 
Comment 12 IBM Bug Proxy 2004-07-19 22:53:11 EDT
----- Additional Comments From khoa@us.ibm.com  2004-07-19 22:52 -------
This is targeted for RHEL3 QU4 (according to Mark Wisner).  Thanks. 
Comment 13 IBM Bug Proxy 2004-07-28 23:10:29 EDT
----- Additional Comments From bujunhui@cn.ibm.com  2004-07-28 23:10 -------
I verified this on REHL3 U3 0722 test isos. 
if I tyepd " boot /pci@400000000110/pci@2/ethernet@1 vnc vncpassword=password 
method=nfs:172.30.1.140:/distros/rhel3 " at ok-prompt, I can do install via 
vnc successfully. but still failed if typing 
boot /pci@400000000110/pci@2/ethernet@1 vnc vncpassword=password method=nfs".

Redhat said that "method=nfs" is not a supported syntax in bug10075. So I 
think we can close this bug. 
Comment 14 Jeremy Katz 2006-04-24 14:04:16 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.